#ifndef GAME_H
#define GAME_H

#include "input/Keys.h"
#include "rendering/Renderer.h"

class Game final {
public:
    Game(Keys& control);

    void tick();
    void render(float lag, Renderer& renderer) const;
    bool isRunning() const;

private:
    Keys& keys;
};

#endif